Bug 985609 - Update Samba to 4.1.x for RHEL 7
Update Samba to 4.1.x for RHEL 7
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: samba (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Andreas Schneider
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 17:27 EDT by Jose A. Rivera
Modified: 2014-06-17 20:18 EDT (History)
9 users (show)

See Also:
Fixed In Version: samba-4.1.0-1.el7
Doc Type: Release Note
Doc Text:
Samba 4.1.0 Red Hat Enterprise Linux 7.0 includes samba packages upgraded to the latest upstream version, which introduce several bug fixes and enhancements, the most notable of which is support for the SMB3 protocol in the server and client tools. Additionally, SMB3 transport enables encrypted transport connections to Windows servers that support SMB3, as well as Samba servers. Also, Samba 4.1.0 adds support for server-side copy operations. Clients making use of server-side copy support, such as the latest Windows releases, should experience considerable performance improvements for file copy operations. Warning The updated samba packages remove several already deprecated configuration options. The most imporant are the server roles security = share and security = server. Also the web configuration tool SWAT has been completely removed. More details can be found in the Samba 4.0 and 4.1 release notes: https://www.samba.org/samba/history/samba-4.0.0.html https://www.samba.org/samba/history/samba-4.1.0.html Note that several tdb files have been updated. This means that all tdb files are upgraded as soon as you start the new version of the smbd daemon. You cannot downgrade to an older Samba version unless you have backups of the tdb files For more information about these changes, refer to the Release Notes for Samba 4.0 and 4.1 mentioned above.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:47:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose A. Rivera 2013-07-17 17:27:14 EDT
Samba 4.1 is now in feature-freeze, and we should move to incorporate it. RHEL would benefit from a number of stability fixes. RHS, based on RHEL, needs a number of features that are coming out with this next version of Samba. RHS should stay in sync with RHEL as much as possible, and this move helps improve both products. Upstream features include:

 * smb2.1 leases
 * smb2 and smb2.1 stability fixes
 * mutex tdb scalability patches

These features help improve interoperability, stability, and performance in small- and large-scale clustering scenarios. 

More information on release features is available at http://www.samba.org/samba/history/ .
Comment 3 Bill Nottingham 2013-07-18 15:24:12 EDT
"RHS should stay in sync with RHEL as much as possible"

Does this imply a desire to rebase even more often during the lifetime of RHEL 7 itself?
Comment 4 Jose A. Rivera 2013-07-18 16:40:36 EDT
Only if it makes sense for RHEL and other products. We have the capability to build our own Samba if needed, but that is a duplication of effort that should be minimized as much as possible.

RHS takes advantage of some things in Samba not relevant to what I assume is the typical use case with RHEL. However, there are some big things we are waiting for that would benefit RHEL, such as improved SMB 2.x support and implementing SMB 3,. We are working to make sure those happen as quickly as possible and get into our products.
Comment 5 Bill Nottingham 2013-07-18 16:49:12 EDT
I guess I'm just concerned that we might want a faster-moving samba for RHS at some point, whether via RHSCL or some other mechanism.
Comment 12 Ludek Smid 2014-06-13 08:47:22 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.